Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 341)
@@ -112,29 +112,13 @@
         /// <returns></returns>
         private bool GetExpensesList()
         {
-            IOMDepartmentExpenses expDB = new IOMDepartmentExpenses();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
-                // 工事担当者マスタ取得
-                string strPerson = picDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionPersonCode);
-                PersonInChargeMaster picRec = new PersonInChargeMaster();
-                if (!picDB.SelectAction(strPerson, ref picRec)) return false;
+                int nPreiod = m_ConstructionBaseInfo.ConstructionPeriod;
+                int nDepartmentCode = m_ConstructionBaseInfo.ConstrDepCode;
 
                 // 部署経費率マスタ取得
-                string strSQL = "SELECT A.NAMESTRING, IFNULL(B.EXPENSESRAITO, 0), B.NAMECODE";
-                strSQL += " FROM DIVISIONMASTER A";
-                strSQL += " LEFT OUTER JOIN";
-                strSQL += " (SELECT NAMECODE, DEPARTMENTCODE, EXPENSESRAITO, EXPENSESPERIOD";
-                strSQL += string.Format(" FROM DEPARTMENTEXPENSESMASTER WHERE DEPARTMENTCODE = {0}) B", picRec.DepartmentCode);
-                strSQL += " ON A.NAMECODE = B.NAMECODE";
-                strSQL += string.Format(" AND B.EXPENSESPERIOD = {0}", m_ConstructionBaseInfo.ConstructionPeriod);
-                strSQL += string.Format(" WHERE A.DIVISIONCODE = {0}", (int)DivisionMaster.DivisionMasterCodeDef.ConstructionExpenses);
-                strSQL += " ORDER BY A.DISPLAYORDER";
-                if (!expDB.ExecuteReader(strSQL, ref m_ExpensesList)) return false;
-                if (m_ExpensesList.Count == 0) return false;
-
-                return true;
+                return CommonMotions.GetExpensesList(nPreiod, nDepartmentCode, ref m_ExpensesList);
             }
             catch (Exception ex)
             {
@@ -141,11 +125,6 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-            finally
-            {
-                expDB.close(); expDB = null;
-                picDB.close(); picDB = null;
-            }
         }
         #endregion
 
@@ -4166,6 +4145,7 @@
             IOConstructionLedger LedgerDB = new IOConstructionLedger();
             IOConstructionLedgerDetail DetailDB = new IOConstructionLedgerDetail();
             IOConstructionLedgerExcute ExcuteDB = new IOConstructionLedgerExcute();
+            IOConstrLedgerExpenses ExpDB = new IOConstrLedgerExpenses();
             IOPurchaseOrderDetail PDetailDB = new IOPurchaseOrderDetail();
             IOBillingDataDetail BDetailDB = new IOBillingDataDetail();
             try
@@ -4185,6 +4165,7 @@
                 ExcuteDB.connect(); ExcuteDB.beginTran();
                 PDetailDB.connect(); PDetailDB.beginTran();
                 BDetailDB.connect(); BDetailDB.beginTran();
+                ExpDB.connect(); ExpDB.beginTran();
 
                 // 詳細台帳データ
                 if (!ConstructionLedgerDataEntry(LedgerDB))
@@ -4214,10 +4195,23 @@
                     return false;
                 }
 
+                // 工事詳細台帳経費データ登録
+                if (!ConstrLedgerExpensesEntry(ExpDB))
+                {
+                    LedgerDB.rollback();
+                    DetailDB.rollback();
+                    ExcuteDB.rollback();
+                    ExpDB.rollback();
+                    PDetailDB.rollback();
+                    BDetailDB.rollback();
+                    return false;
+                }
+
                 // データ更新
                 LedgerDB.commit();
                 DetailDB.commit();
                 ExcuteDB.commit();
+                ExpDB.commit();
                 PDetailDB.commit();
                 BDetailDB.commit();
 
@@ -4236,6 +4230,7 @@
                 LedgerDB.close(); LedgerDB = null;
                 DetailDB.close(); DetailDB = null;
                 ExcuteDB.close(); ExcuteDB = null;
+                ExpDB.close(); ExpDB = null;
                 PDetailDB.close(); PDetailDB = null;
                 BDetailDB.close(); BDetailDB = null;
             }
@@ -4242,38 +4237,6 @@
         }
         #endregion
 
-        #region 経費を探す
-        /// <summary>
-        /// 経費を名称から探す
-        /// </summary>
-        /// <param name="Terget"></param>
-        /// <returns></returns>
-        private int GetExpenss(string Terget,int ExpensesCode)
-        {
-            try
-            {
-                int LineRet = 0;
-
-                DataGridView dgv = dgvAllDisplay;
-                for (int i = 0; i < m_CostsRowCount[(int)CostsRowLine.PurchaseCostsRowLine]; i++)
-                {
-                    if (CommonMotions.cnvString(dgv.Rows[i].Cells[(int)GridColumn.ItemName].Value).IndexOf(Terget) >= 0 ||
-                        CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.ComponentCode].Value) == ExpensesCode)
-                    {
-                        LineRet = i;
-                        break;
-                    }
-                }
-                return LineRet;
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return 0;
-            }
-        }
-        #endregion
-
         // ---------- データ登録↓↓
         #region 工事詳細台帳データ登録
         /// <summary>
@@ -4318,33 +4281,33 @@
                 // 契約工期完了
                 work.ConstructionEnd = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
                 // 税抜受注決定金額
-                string strwork = m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text;
-                work.OrdersDecisionPrice = CommonMotions.cnvDouble(strwork);
-                int Rowcnt1 = GetExpenss("会社", 3);
-                int Rowcnt2 = GetExpenss("部署", 2);
-                int Rowcnt3 = GetExpenss("営業", 1);
-                for (int i = (int)GridColumn.Payment; i < TotalPoint; i++)
-                {
-                    // 会社経費合計
-                    work.CompanyExpenses += CommonMotions.cnvDouble(dgv.Rows[Rowcnt1].Cells[i].Value);
-                    // 部署経費合計
-                    work.DepartmentExpenses += CommonMotions.cnvDouble(dgv.Rows[Rowcnt2].Cells[i].Value);
-                    // 営業経費合計
-                    work.SalesExpenses += CommonMotions.cnvDouble(dgv.Rows[Rowcnt3].Cells[i].Value);
-                }
+                work.OrdersDecisionPrice = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
 
+                //int Rowcnt1 = GetExpenss("会社", 3);
+                //int Rowcnt2 = GetExpenss("部署", 2);
+                //int Rowcnt3 = GetExpenss("営業", 1);
+                //for (int i = (int)GridColumn.Payment; i < TotalPoint; i++)
+                //{
+                //    // 会社経費合計
+                //    work.CompanyExpenses += CommonMotions.cnvDouble(dgv.Rows[Rowcnt1].Cells[i].Value);
+                //    // 部署経費合計
+                //    work.DepartmentExpenses += CommonMotions.cnvDouble(dgv.Rows[Rowcnt2].Cells[i].Value);
+                //    // 営業経費合計
+                //    work.SalesExpenses += CommonMotions.cnvDouble(dgv.Rows[Rowcnt3].Cells[i].Value);
+                //}
+
                 // 受注金額積算フラグ
                 if (CommonMotions.CheckCreateLedgerData(m_ConstructionBaseInfo.ConstructionStatusFlg, m_ConstructionBaseInfo.ConstructionType))
                     work.IntegrationFlg = (int)CommonDefine.LedgerIntegration.Integration;
 
-                // 経費を取得する
-                int endRow = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
-                double bworkExpenses = 0;
-                for (int i = 0; i < endRow; i++)
-                {
-                    // 集計する
-                    bworkExpenses += CommonMotions.cnvDouble(dgv.Rows[i].Cells[(int)GridColumn.ExecPrice].Value);
-                }
+                //// 経費を取得する
+                //int endRow = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
+                //double bworkExpenses = 0;
+                //for (int i = 0; i < endRow; i++)
+                //{
+                //    // 集計する
+                //    bworkExpenses += CommonMotions.cnvDouble(dgv.Rows[i].Cells[(int)GridColumn.ExecPrice].Value);
+                //}
 
                 // 担当者給与
                 int PayrollRow = m_CostsRowCount[(int)CostsRowLine.PayrollRowLine];
@@ -4463,6 +4426,82 @@
         }
         #endregion
 
+        #region 工事詳細台帳経費データ登録
+        /// <summary>
+        /// 工事詳細台帳経費データ登録
+        /// </summary>
+        private bool ConstrLedgerExpensesEntry(IOConstrLedgerExpenses ExpDB)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                // 経費データを取得する
+                int nGroupCount = (int)GridColumn.GroupCount;
+                int nLineCnt = (int)GridColumn.DataLineCount;
+                int nFixFlg = (int)GridColumn.FixFlg;
+                DataGridViewRow[] RowList = dgv.Rows.Cast<DataGridViewRow>()
+                                                    .Where(x => CommonMotions.cnvInt(x.Cells[nGroupCount].Value) == (int)DataGroup.Expenses
+                                                            && CommonMotions.cnvString(x.Cells[nFixFlg].Value) == string.Empty)
+                                                    .OrderBy(y => CommonMotions.cnvInt(y.Cells[nLineCnt].Value))
+                                                    .ToArray();
+                int nCnt = 1;
+                StringBuilder strSQL = new StringBuilder();
+                List<ConstrLedgerExpenses> workList = new List<ConstrLedgerExpenses>();
+                foreach (DataGridViewRow CurRow in RowList)
+                {
+                    ConstrLedgerExpenses CurRec = new ConstrLedgerExpenses();
+                    CurRec.ConstructionCode = m_ConstructionCode;                       // 工事コード
+                    CurRec.SeqNo = (nCnt++);                                            // 枝番
+                    int RCnt = (int)GridColumn.ComponentCode;                           // 経費コード
+                    CurRec.NameCode = CommonMotions.cnvInt(CurRow.Cells[RCnt].Value);
+                    RCnt = (int)GridColumn.Percent;                                     // 経費率
+                    CurRec.ExpensesRaito = CommonMotions.cnvDouble(CurRow.Cells[RCnt].Value); 
+                    RCnt = dgv.ColumnCount + (int)ColPayTotal.Totals;                   // 経費金額
+                    CurRec.ExpensesValue = CommonMotions.cnvLong(CurRow.Cells[RCnt].Value);
+
+                    strSQL.Clear();
+                    strSQL.Append(ExpDB.CreatePrimarykeyString(CurRec.ConstructionCode, 0, CurRec.NameCode));
+                    workList.Clear();
+                    if (!ExpDB.SelectAction(strSQL.ToString(), ref workList, false))
+                    {
+                        MessageBox.Show("工事詳細台帳経費データ：登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+
+                    // 積算予算書データデータ登録
+                    if (workList.Count == 0)
+                    {
+                        // データがない場合・データ登録
+                        if (!ExpDB.InsertAction(CurRec, false))
+                        {
+                            MessageBox.Show("工事詳細台帳経費データ：追加登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            return false;
+                        }
+                    }
+                    else
+                    {
+                        // データがある場合
+                        // データ更新
+                        if (!ExpDB.UpdateAction(strSQL.ToString(), CurRec, false))
+                        {
+                            MessageBox.Show("工事詳細台帳経費データ：更新登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            return false;
+                        }
+                    }
+
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 工事詳細台帳データ明細登録
         /// <summary>
         /// 工事詳細台帳データ明細登録
@@ -7647,10 +7686,10 @@
                 // 検索キー追加
                 for (int i = 0; i < m_JoiningCodeList.Count; i++)
                 {
-                    if (i != 0) strCopy += " ,";
+                    if (i != 0) strCopy += ", ";
                     strCopy += string.Format("{0}", m_JoiningCodeList[i]);
 
-                    if (i != 0) strRemove += " ,";
+                    if (i != 0) strRemove += ", ";
                     strRemove += string.Format("{0}", m_JoiningCodeList[i]);
                 }
                 strCopy += ")";
@@ -8432,26 +8471,26 @@
         //    {
         //        // ------ 通常分
         //        string strSQL = "SELECT A.CONSTRUCTIONCODE";
-        //        strSQL += " , B.CreatorCode B1";
-        //        strSQL += " , B.SalaryFlg B2";
-        //        strSQL += " , B.SalaryDays B3";
-        //        strSQL += " , B.AssistantCode B4";
-        //        strSQL += " , B.A_SalaryFlg B5";
-        //        strSQL += " , B.A_SalaryDays B6";
-        //        strSQL += " , B.InstructorCode B7";
-        //        strSQL += " , B.I_SalaryFlg B8";
-        //        strSQL += " , B.I_SalaryDays B9";
-        //        strSQL += " , C.CONSTRUCTIONPERSONCODE C10";
-        //        strSQL += " , C.CONSTRSUBPERSONCODE C11";
-        //        strSQL += " , C.CONSTRUCTIONINSTRUCTOR C12";
-        //        strSQL += " , C.CONSTRUCTIONPERIODSTART C13";
-        //        strSQL += " , C.CONSTRUCTIONPERIODSTART2 C14";
-        //        strSQL += " , C.CONSTRUCTIONPERIODEND C15";
-        //        strSQL += " , C.CONSTRUCTIONPERIODEND2 C16";
-        //        strSQL += " , C.CONSTRUCTIONPERIOD C17";
-        //        strSQL += " , count(*)";
+        //        strSQL += ", B.CreatorCode B1";
+        //        strSQL += ", B.SalaryFlg B2";
+        //        strSQL += ", B.SalaryDays B3";
+        //        strSQL += ", B.AssistantCode B4";
+        //        strSQL += ", B.A_SalaryFlg B5";
+        //        strSQL += ", B.A_SalaryDays B6";
+        //        strSQL += ", B.InstructorCode B7";
+        //        strSQL += ", B.I_SalaryFlg B8";
+        //        strSQL += ", B.I_SalaryDays B9";
+        //        strSQL += ", C.CONSTRUCTIONPERSONCODE C10";
+        //        strSQL += ", C.CONSTRSUBPERSONCODE C11";
+        //        strSQL += ", C.CONSTRUCTIONINSTRUCTOR C12";
+        //        strSQL += ", C.CONSTRUCTIONPERIODSTART C13";
+        //        strSQL += ", C.CONSTRUCTIONPERIODSTART2 C14";
+        //        strSQL += ", C.CONSTRUCTIONPERIODEND C15";
+        //        strSQL += ", C.CONSTRUCTIONPERIODEND2 C16";
+        //        strSQL += ", C.CONSTRUCTIONPERIOD C17";
+        //        strSQL += ", count(*)";
         //        strSQL += " FROM CONSTRUCTIONLEDGER A LEFT JOIN CONSTRUCTIONBUDGET B ON A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
-        //        strSQL += " , CONSTRUCTIONBASEINFO C";
+        //        strSQL += ", CONSTRUCTIONBASEINFO C";
         //        strSQL += " WHERE A.CONSTRUCTIONCODE = C.CONSTRUCTIONCODE";
         //        strSQL += " GROUP BY A.CONSTRUCTIONCODE, B.CreatorCode, B.AssistantCode, B.InstructorCode, B.SalaryFlg, ";
         //        strSQL += " B.SalaryDays, B.A_SalaryFlg, B.A_SalaryDays, B.I_SalaryFlg, B.I_SalaryDays, ";
@@ -8505,28 +8544,28 @@
 
         //        // ------ 工事増減分
         //        strSQL = "SELECT A.CONSTRUCTIONCODE";
-        //        strSQL += " , B.CreatorCode B1";
-        //        strSQL += " , B.SalaryFlg B2";
-        //        strSQL += " , B.SalaryDays B3";
-        //        strSQL += " , B.AssistantCode B4";
-        //        strSQL += " , B.A_SalaryFlg B5";
-        //        strSQL += " , B.A_SalaryDays B6";
-        //        strSQL += " , B.InstructorCode B7";
-        //        strSQL += " , B.I_SalaryFlg B8";
-        //        strSQL += " , B.I_SalaryDays B9";
-        //        strSQL += " , A.CONSTRUCTIONPERSONCODE C10";
-        //        strSQL += " , A.CONSTRSUBPERSONCODE C11";
-        //        strSQL += " , A.CONSTRUCTIONINSTRUCTOR C12";
-        //        strSQL += " , A.CONSTRUCTIONPERIODSTART C13";
-        //        strSQL += " , A.CONSTRUCTIONPERIODSTART2 C14";
-        //        strSQL += " , A.CONSTRUCTIONPERIODEND C15";
-        //        strSQL += " , A.CONSTRUCTIONPERIODEND2 C16";
-        //        strSQL += " , A.CONSTRUCTIONPERIOD C17";
-        //        strSQL += " , C.CONSTRUCTIONCODE C18";
-        //        strSQL += " , D.COMPANYCODE D19";
-        //        strSQL += " , E.COMPANYCODE E20";
-        //        strSQL += " , F.COMPANYCODE F21";
-        //        strSQL += " , count(*)";
+        //        strSQL += ", B.CreatorCode B1";
+        //        strSQL += ", B.SalaryFlg B2";
+        //        strSQL += ", B.SalaryDays B3";
+        //        strSQL += ", B.AssistantCode B4";
+        //        strSQL += ", B.A_SalaryFlg B5";
+        //        strSQL += ", B.A_SalaryDays B6";
+        //        strSQL += ", B.InstructorCode B7";
+        //        strSQL += ", B.I_SalaryFlg B8";
+        //        strSQL += ", B.I_SalaryDays B9";
+        //        strSQL += ", A.CONSTRUCTIONPERSONCODE C10";
+        //        strSQL += ", A.CONSTRSUBPERSONCODE C11";
+        //        strSQL += ", A.CONSTRUCTIONINSTRUCTOR C12";
+        //        strSQL += ", A.CONSTRUCTIONPERIODSTART C13";
+        //        strSQL += ", A.CONSTRUCTIONPERIODSTART2 C14";
+        //        strSQL += ", A.CONSTRUCTIONPERIODEND C15";
+        //        strSQL += ", A.CONSTRUCTIONPERIODEND2 C16";
+        //        strSQL += ", A.CONSTRUCTIONPERIOD C17";
+        //        strSQL += ", C.CONSTRUCTIONCODE C18";
+        //        strSQL += ", D.COMPANYCODE D19";
+        //        strSQL += ", E.COMPANYCODE E20";
+        //        strSQL += ", F.COMPANYCODE F21";
+        //        strSQL += ", count(*)";
         //        strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBUDGET B, CONSTRUCTIONLINK C";
         //        strSQL += " LEFT JOIN CONSTRUCTIONLEDGERDETAIL D ON C.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE AND D.GROUPCOUNT = 11";
         //        strSQL += " LEFT JOIN CONSTRUCTIONLEDGERDETAIL E ON C.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE AND E.GROUPCOUNT = 10";
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CopyTargetList/FrmNewOrContinueCopy.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CopyTargetList/FrmNewOrContinueCopy.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CopyTargetList/FrmNewOrContinueCopy.cs	(revision 341)
@@ -1272,9 +1272,6 @@
                 Rec.ChangeDate = DateTime.Now;
                 Rec.ChangePersonCode = CommonMotions.LoginUserData.PersonCode;
 
-                // 検索文字列作成
-                strWhere = cpdDB.CreatePrimarykeyString(Rec.ConstructionCode, Rec.ConstructionStatusFlg);
-
                 List<ConstructionProgressDate> workList = new List<ConstructionProgressDate>();
                 // データ登録
                 if (!cpdDB.InsertAction(Rec, false))
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs	(revision 341)
@@ -1243,7 +1243,7 @@
                 strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 strSQL.AppendFormat(" AND COMPONENTCODE = {0}", ClsCommonCosts.s_CommunityCompCode);    // 共通仮設費を対象にする
                 strSQL.Append(" AND COMPANYCODE != 0");                                                 // 会社割当のあるものを対象
-                strSQL.Append(" ORDER BY PageCount, LineCount");
+                strSQL.Append(" ORDER BY GroupCount, LineCount");
 
                 List<EstimateDataDetail> DetailList = new List<EstimateDataDetail>();
                 if (!DetailDB.SelectAction(strSQL.ToString(), ref DetailList)) return;
@@ -1433,7 +1433,7 @@
                 strSQL.Append(" LEFT JOIN (SELECT E.COMPONENTCODE, E.ITEMCODE, SUM(E.LINETOTAL) TOTAL FROM ESTIMATEDATADETAIL E");
                 strSQL.AppendFormat(" WHERE E.CONSTRUCTIONCODE = {0} GROUP BY E.COMPONENTCODE, E.ITEMCODE) D ON A.ITEMCODE = D.ITEMCODE", m_ConstructionCode);
 
-                strSQL.Append(" , COMMONCOSTLARGE B, COMMONCOSTMIDDLE C");
+                strSQL.Append(", COMMONCOSTLARGE B, COMMONCOSTMIDDLE C");
                 
                 strSQL.AppendFormat(" WHERE A.LARGECODE = {0}", ClsCommonCosts.s_CommunityCompCode);
                 strSQL.Append(" AND A.LARGECODE = B.LARGECODE");
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PriceOfBudget/FrmPriceOfBudget.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PriceOfBudget/FrmPriceOfBudget.Designer.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PriceOfBudget/FrmPriceOfBudget.Designer.cs	(revision 341)
@@ -52,6 +52,7 @@
             this.label3 = new System.Windows.Forms.Label();
             this.label5 = new System.Windows.Forms.Label();
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column9 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -113,6 +114,7 @@
             this.dgvMain.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvMain.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.Column1,
+            this.Column9,
             this.Column2,
             this.Column3,
             this.Column4,
@@ -274,6 +276,14 @@
             this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column1.Width = 50;
             // 
+            // Column9
+            // 
+            this.Column9.Frozen = true;
+            this.Column9.HeaderText = "部署コード";
+            this.Column9.Name = "Column9";
+            this.Column9.ReadOnly = true;
+            this.Column9.Visible = false;
+            // 
             // Column2
             // 
             dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
@@ -401,6 +411,7 @@
         private ProcessManagement.Forms.CustomControls.DataGridViewEX dgvMain;
         private System.Windows.Forms.Label lblCellTotal;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column9;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PriceOfBudget/FrmPriceOfBudget.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PriceOfBudget/FrmPriceOfBudget.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PriceOfBudget/FrmPriceOfBudget.cs	(revision 341)
@@ -33,6 +33,7 @@
         private enum GridColumn
         {
             No = 0,
+            DepartmentCode,
             DepartmentName,
             PersonName,
             ConstrCode,
